Package org.apache.synapse.transport.http.conn

# Class BasicHttpEntityPossibleEnclosingRequest

java.lang.Object
org.apache.http.message.AbstractHttpMessage
org.apache.http.message.BasicHttpRequest
org.apache.http.message.BasicHttpEntityEnclosingRequest
org.apache.synapse.transport.http.conn.BasicHttpEntityPossibleEnclosingRequest

All Implemented Interfaces:
  `org.apache.http.HttpEntityEnclosingRequest`, `org.apache.http.HttpMessage`, `org.apache.http.HttpRequest`

public class BasicHttpEntityPossibleEnclosingRequest extends org.apache.http.message.BasicHttpEntityEnclosingRequest
wrapper class for HTTP requests with may or may not contain entity extending org.apache.http.message.BasicHttpEntityEnclosingRequest Added to support body for HTTP DELETE requests

- ## Field Summary

  ### Fields inherited from class org.apache.http.message.AbstractHttpMessage

  `headergroup, params`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicHttpEntityPossibleEnclosingRequest(String method, String uri)`
  `BasicHttpEntityPossibleEnclosingRequest(String method, String uri, org.apache.http.ProtocolVersion ver)`
  `BasicHttpEntityPossibleEnclosingRequest(org.apache.http.RequestLine requestline)`

- ## Method Summary

  ### Methods inherited from class org.apache.http.message.BasicHttpEntityEnclosingRequest

  `expectContinue, getEntity, setEntity`

  ### Methods inherited from class org.apache.http.message.BasicHttpRequest

  `getProtocolVersion, getRequestLine, toString`

  ### Methods inherited from class org.apache.http.message.AbstractHttpMessage

  `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.http.HttpMessage

  `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, getProtocolVersion, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

  ### Methods inherited from interface org.apache.http.HttpRequest

  `getRequestLine`

- ## Constructor Details

  - ### BasicHttpEntityPossibleEnclosingRequest

    public BasicHttpEntityPossibleEnclosingRequest(String method, String uri)

  - ### BasicHttpEntityPossibleEnclosingRequest

    public BasicHttpEntityPossibleEnclosingRequest(String method, String uri, org.apache.http.ProtocolVersion ver)

  - ### BasicHttpEntityPossibleEnclosingRequest

    public BasicHttpEntityPossibleEnclosingRequest(org.apache.http.RequestLine requestline)